Jump to content

Tweaks Anthology v9 Released


Recommended Posts

@CamDawg

The component Exotic Item Pack is not really compatible with EE games.

In particular, item descriptions include the "Not Usable By" section (see "CDKAT2.itm") and are generally quite different from EE standard descriptions.

Let's consider again "CDKAT2.itm" as an example. Current description:

Spoiler

Katana +2, Tsu-O-Shi
Tsu-O-Shi, also known as the Coveted Blade, was forged in the nation of Wa more than five centuries ago, by the sword smith Murakaken Shinji, whose skill was so great he was rumored to be able to awaken the very spirit of the metal. Tsu-O-Shi passed through the hands of the various heirs of the otherwise unremarkable Kasune family, until the powerful daimyo and well-known sword lover Fushima Takagi saw it. Takagi became obsessed with the sword and made many frustrated attempts to acquire the blade. Finally, he hired a clan of ninja to steal the blade for him, covering its loss with the burning of the Kasune family compound. When the ninja presented the blade to their employer, it was used to cut them down, forever removing any link between Takagi and the sword's legitimate owners. Takagi hid the sword, often withdrawing to its hiding place to gaze upon its beauty and perfection. On the day Takagi died, his spirit refused to depart the earth and leave the sword behind, so he stayed with Tsu-O-Shi, becoming one with it. From that day forth, any who wield the mighty Tsu-O-Shi must beware of the spirit of Fushima Takagi, who drinks the life essence of those who touch the weapon, in order to remain on Toril with the object of his desire. As a result, this cursed blade has a chance to drain the wielder every time it is used.
STATISTICS:
THAC0: +2 bonus
Damage:  1D10 + 2
Damage type:  slashing
Weight:  4
Speed Factor: 2
Proficiency Type: Katana
Type:  1-handed
Requires: 6 Strength
Chance to permanently drain life or attributes from wielder when used
Not Usable By:
Druid
Cleric
Mage
Beast Master

You see? No blank lines, "1D10" instead of "1d10", "Type: 1-handed" instead of "Type: One-handed", etc...

That's probably how it should look like:

Spoiler

Tsu-O-Shi, also known as the Coveted Blade, was forged in the nation of Wa more than five centuries ago, by the sword smith Murakaken Shinji, whose skill was so great he was rumored to be able to awaken the very spirit of the metal. Tsu-O-Shi passed through the hands of the various heirs of the otherwise unremarkable Kasune family, until the powerful daimyo and well-known sword lover Fushima Takagi saw it. Takagi became obsessed with the sword and made many frustrated attempts to acquire the blade. Finally, he hired a clan of ninja to steal the blade for him, covering its loss with the burning of the Kasune family compound. When the ninja presented the blade to their employer, it was used to cut them down, forever removing any link between Takagi and the sword's legitimate owners. Takagi hid the sword, often withdrawing to its hiding place to gaze upon its beauty and perfection. On the day Takagi died, his spirit refused to depart the earth and leave the sword behind, so he stayed with Tsu-O-Shi, becoming one with it. From that day forth, any who wield the mighty Tsu-O-Shi must beware of the spirit of Fushima Takagi, who drinks the life essence of those who touch the weapon, in order to remain on Toril with the object of his desire. As a result, this cursed blade has a chance to drain the wielder every time it is used.


STATISTICS:

Combat abilities:

– Chance to permanently drain life or attributes from wielder when used


THAC0: +2
Damage: 1d10+2 (slashing)
Speed Factor: 2
Proficiency Type: Katana
Type: One-handed
Requires:

 6 Strength

Weight: 4

 

Edited by Luke
Link to post
Guest Ludwig
13 hours ago, CamDawg said:

That's something I hadn't considered. Cheers.

That being said, in the set piece fights where the traps are part of the difficulty they typically can't be disarmed. For example, only two of the 15 traps in the Sarevok finale and none of the six in the Belhifet fight can be disarmed so the impact on difficulty is somewhat mitigated.

Any of you folks who use the component want to chime in? Especially if you're, say, an SCS solo'er?

I'm an SCS soloer that always uses this component. I would install both of Fuinril's components regardless. However, if there are some ground traps that can't be disarmed using disarm trap skill, then I would rather have them not removed, due to the difficulty reason you mentioned. I'm not sure if there's a way to understand which traps can be disarmed or not though.

Link to post
1 hour ago, Guest Ludwig said:

I'm an SCS soloer that always uses this component. I would install both of Fuinril's components regardless. However, if there are some ground traps that can't be disarmed using disarm trap skill, then I would rather have them not removed, due to the difficulty reason you mentioned. I'm not sure if there's a way to understand which traps can be disarmed or not though.

That's how the mod works (for traps, chests and doors) : if you're not supposed to be able to disarm or lockpick it, there's no change.

 

I have to say that I didn't know one cannot disarm the majority of the traps used in battle, so the separation is way less relevant I though it was.

Link to post
8 hours ago, Fuinril said:

That's how the mod works (for traps, chests and doors) : if you're not supposed to be able to disarm or lockpick it, there's no change.

^^ This. It's designed to eliminate the need for a thief, so it only disarms traps and opens locks that a thief could.

Link to post

Could you optionalize the component to allow ALL traps, not just the ones the thief could ? I know, I know, it's a thing only a readme can explain best, and for that people need to read them, which I never do..

Link to post
8 hours ago, Jarno Mikkola said:

Could you optionalize the component to allow ALL traps, not just the ones the thief could ? I know, I know, it's a thing only a readme can explain best, and for that people need to read them, which I never do..

I would recommend against it. Technically speaking there's a lot of "traps" attached to events and disable them might lead to game breaking bugs.

Link to post

In particular, I would advice that the traps that the thieves can detect to be removed. Yes, there are a bunch that aren't exactly actual traps ... but we aren't talking about those. Yes, for example I know a few that if a thief tries to, they die cause the traps disarm location is too small compared to the traps actual area.

Link to post
2 hours ago, Jarno Mikkola said:

In particular, I would advice that the traps that the thieves can detect to be removed. Yes, there are a bunch that aren't exactly actual traps ... but we aren't talking about those.

Well, I did a quick check about detectable traps not already changed by the component. There's such traps here (and only here) :

 

BG1 :  

- sarevok fight, 8 traps, skull pattern

BG2 :

- planar prison : 2 traps just before the prisonners, disabled by the key you loot on boss (the key element is not directly related to the trap but in the BCS, making detecting it a pain)

- irenicus dungeon lvl2 : 6 traps in the pillars room, disabled by putting the correct wand in containers (like previously, pretty hard to detect).

- bodhi hunt lvl1 : 2 traps the squish ones

IWD :

- final fight room, 6 traps on the mosaic

IWD2 :

none

PST :

Did not check

 

That's not a lot...

 

 

Edit   : like previously stated I do not own SoD, so there can be more in it

Edited by Fuinril
Link to post
Guest darklordspal

I downloaded  and tried to install on my (direct from Beamdog, not Steam) version of IWDEE the mods IWDEE NPC and Anthology V9 a few weeks ago off Github and my anti-virus blocked them as infected with "Trojan 32".  Since then IWDEE upgraded to a new version and installs fine but Anthology V 9 stills shows as infected with "trojan 32" and is blocked by my Webroot anti-virus.  I looked for V 8 but couldn't find it and I don't want to turn off my anti-virus.  That is the main reason I haven't installed EET yet.  Can I find V 8 somewhere or is ther another answer for my dilemma?

Link to post
Guest darklordspal

Sorry. Multi-posted looking for answer.  Anthology V8 installed fine, but I won't be able to install any file with title from V9 in the future because of infection.  But V8 will do most of what I want so no worries.  Might want to check your Github postings though.

Link to post
16 hours ago, Guest darklordspal said:

Sorry. Multi-posted looking for answer.  Anthology V8 installed fine, but I won't be able to install any file with title from V9 in the future because of infection.  But V8 will do most of what I want so no worries.  Might want to check your Github postings though.

It looks like you might be getting a false positive.  I just downloaded it and scanned for malware and didn't get a hit.  I sometimes get a false positive from Avast on mods that I myself created when I run the packaged EXE to install it.

Link to post
Guest darklordspal
6 hours ago, Daeros_Trollkiller said:

It looks like you might be getting a false positive.  I just downloaded it and scanned for malware and didn't get a hit.  I sometimes get a false positive from Avast on mods that I myself created when I run the packaged EXE to install it.

During an earlier scan (about 6 months ago) my anti-virus showed almost all my mods from Gibberlings 3 to be infected, but it "cleaned"  them and all was well.  Now I have to wait for Upgrades in order to try to re-install them again. Hope my BGEE and IWDEE games don't crash irrevocably or I won't be able to reinstall the mods I like until they upgrade...sigh. 

Link to post

All of the setup-foo that ship with mods are just a renamed copy of WeiDU. So if you're ever worried about a package being infected, you can grab the latest WeiDU and then rename it as needed.

And no, v9 is not infected.

Link to post
Guest darklordspal
1 hour ago, CamDawg said:

All of the setup-foo that ship with mods are just a renamed copy of WeiDU. So if you're ever worried about a package being infected, you can grab the latest WeiDU and then rename it as needed.

And no, v9 is not infected.

I have used upgraded versions of weidu before (I load all my mods "manually").  I was not trying to cause insult.  To add to the last thing I posted, I had IWDEE NPC and Anthology V8 installed and I must have fouled up somehow because I was getting BG2 dialogue when first meeting the extra mod added characters. So I totally wiped (as in all files in documents and Beamdog library) IWDEE files and reinstalled IWDEEIWDEE NPC and used Anthology V9 downloaded directly form Gibberlings 3 instead of Github. Nolo problemo.

I do appreciate all responses and hope I didn't cause too big a fuss.

Link to post
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...